Package ghidra.graph.viewer

# Class GraphPerspectiveInfo<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.viewer.GraphPerspectiveInfo<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

public class GraphPerspectiveInfo<V extends VisualVertex,E extends VisualEdge<V>> extends Object
An object that allows for storing and restoring of graph perspective data, like the zoom level and the position of the graph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphPerspectiveInfo(edu.uci.ics.jung.visualization.RenderContext<V,E> renderContext, double zoom)`
  `GraphPerspectiveInfo(SaveState saveState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <V extends VisualVertex, E extends VisualEdge<V>>
  GraphPerspectiveInfo<V,E>`
  `createInvalidGraphPerspectiveInfo()`
  `Point`
  `getLayoutTranslateCoordinates()`
  The offset of the transform from the world origin (which at the time of writing is the (0,0) at the upper left-hand corner of the GUI.
  `Point`
  `getViewTranslateCoordinates()`
  The offset of the transform from the world origin (which at the time of writing is the (0,0) at the upper left-hand corner of the GUI.
  `double`
  `getZoom()`
  `boolean`
  `isInvalid()`
  `boolean`
  `isRestoreZoom()`
  `void`
  `saveState(SaveState saveState)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphPerspectiveInfo

    public GraphPerspectiveInfo(edu.uci.ics.jung.visualization.RenderContext<V,E> renderContext, double zoom)

  - ### GraphPerspectiveInfo

    public GraphPerspectiveInfo(SaveState saveState)

- ## Method Details

  - ### createInvalidGraphPerspectiveInfo

    public static <V extends VisualVertex, E extends VisualEdge<V>> GraphPerspectiveInfo<V,E> createInvalidGraphPerspectiveInfo()

  - ### saveState

    public void saveState(SaveState saveState)

  - ### isInvalid

    public boolean isInvalid()

  - ### getLayoutTranslateCoordinates

    public Point getLayoutTranslateCoordinates()
    The offset of the transform from the world origin (which at the time of writing is the (0,0) at the upper left-hand corner of the GUI. This is for the layout transformer.
    Returns:
      the point

  - ### getViewTranslateCoordinates

    public Point getViewTranslateCoordinates()
    The offset of the transform from the world origin (which at the time of writing is the (0,0) at the upper left-hand corner of the GUI. This is for the view transformer, which also potentially has a scale applied to the transform.
    Returns:
      the point

  - ### isRestoreZoom

    public boolean isRestoreZoom()

  - ### getZoom

    public double getZoom()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`